#
# spec file for package python-FIAT
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname FIAT
%define pyname  fiat
%define modver  2016.2.0
Name:           python3-%{modname}
Version:        2016.2.0
Release:        2.1
Summary:        The FInite element Automatic Tabulator FIAT
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            https://fenicsproject.org
Source0:        https://bitbucket.org/fenics-project/%{pyname}/downloads/%{pyname}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://bitbucket.org/fenics-project/fiat/commits/8ceb29a3b9b14668b9d387321a3f8f4126f9a159/raw
Patch0:         Fix-regression-in-SymPy-1_2.patch
BuildArch:      noarch
BuildRequires:  python3-devel >= 3.2
BuildRequires:  python3-setuptools
Requires:       python3-sympy
Requires:       python3-vtk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The FInite element Automatic Tabulator FIAT supports generation of
arbitrary order instances of the Lagrange elements on lines, triangles,
and tetrahedra. It is also capable of generating arbitrary order instances
of Jacobi-type quadrature rules on the same element shapes. Further,
H(div) and H(curl) conforming finite element spaces such as the families
of Raviart-Thomas, Brezzi-Douglas-Marini and Nedelec are supported on
triangles and tetrahedra. Upcoming versions will also support Hermite
and nonconforming elements.

%prep
%setup -q -n %{pyname}-%{version}
%patch0 -p1

%build
python3 setup.py build

%install
python3 setup.py install --root %{buildroot} --prefix=%{_prefix}

%files
%doc AUTHORS ChangeLog README.rst
%license COPYING COPYING.LESSER
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-%{modver}-py%{py3_ver}.egg-info

%changelog
* Wed Mar 20 2019 stefan.bruens@rwth-aachen.de
- Fix a regression with SymPy 1.2, add
  Fix-regression-in-SymPy-1_2.patch
- Use %%license, remove %%defattr
- Use https for Url: and Source: tags
* Wed Jan 11 2017 kkhere.geo@gmail.com
- Update to upstream release 2016.2.0 [2016-11-30]
  * Enable Travis CI on GitHub
  * Add Firedrake quadrilateral cell
  * Add tensor product cell
  * Add facet -> cell coordinate transformation
  * Add Bubble element
  * Add discontinuous Taylor element
  * Add broken element and H(div) trace element
  * Add element restrictions onto mesh entities
  * Add tensor product elements (for tensor product cells)
  * Add H(div) and H(curl) element-modifiers for TPEs
  * Add enriched element, i.e. sum of elements (e.g. for building Mini)
  * Add multidimensional taylor elements
  * Add Gauss Lobatto Legendre elements
  * Finding non-vanishing DoFs on a facets
  * Add tensor product quadrature rule
  * Make regression tests working again after few years
  * Prune modules having only __main__ code including transform_morley,
  transform_hermite (ff86250820e2b18f7a0df471c97afa87207e9a7d)
  * Remove newdubiner module (b3b120d40748961fdd0727a4e6c62450198d9647,
  reference removed by cb65a84ac639977b7be04962cc1351481ca66124)
  * Switch from homebrew factorial/gamma to math module (wraps C std lib)
* Wed Oct 19 2016 kkhere.geo@gmail.com
- Upadated to upstream release 2016.1.0 [2016-06-23]
  * Minor fixes
- migrated to python3
* Thu Sep 24 2015 kkhere.geo@gmail.com
- updated to version 1.6.0 [2015-07-28]
  * Support DG on facets through the element "Discontinuous Lagrange Trace"
- require python version 2.7 and above
* Wed Jan 21 2015 p.drouand@gmail.com
- Get rid of depreciated "python(abi) == %%{py_ver}" requirement
- Remove redundant %%clean section
* Wed Jan 14 2015 kkhere.geo@gmail.com
- updated to version 1.5.0
  * Require Python 2.7
  * Python 3 support
  * Remove ScientificPython dependency and add dependency on SymPy
- Replace python-ScientificPython with python-sympy as dependency;
  follow upstream changes
* Tue Sep  2 2014 kkhere.geo@gmail.com
- update to version 1.4.0
  * Support discontinuous/broken Raviart-Thomas
    detailed changelog in upstream git repository
* Sun Jan 12 2014 kkhere.geo@gmail.com
- update to version 1.3.0
  changelog available only in upstream git repository
* Tue Jan 22 2013 scorot@free.fr
- update to version 1.1
  * Support second kind Nedelecs on tetrahedra over degree >= 2
  * Support Brezzi-Douglas-Fortin-Marini elements (of degree 1, 2),
    again
- update files list
* Sun Oct 14 2012 scorot@free.fr
- requires python(abi) on recent products
* Wed Sep 26 2012 scorot@free.fr
- first package
